ON_RTreeMemPool Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_rtree.h>`

## Public Member Functions

| ON_RTreeMemPool (ON_MEMORY_POOL *heap, std::size_t leaf_count)
| ~ON_RTreeMemPool ()
ON_RTreeNode * | AllocNode ()
void | FreeNode (ON_RTreeNode *node)
struct ON_RTreeListNode * | AllocListNode ()
void | FreeListNode (struct ON_RTreeListNode *list_node)
void | DeallocateAll ()
std::size_t | SizeOf () const
std::size_t | SizeOfUnusedBuffer () const

## Detailed Description

Definition at line 149 of file opennurbs_rtree.h.

## Constructor & Destructor Documentation

## ON_RTreeMemPool()

ON_RTreeMemPool::ON_RTreeMemPool | ( | ON_MEMORY_POOL * | heap,
|  | std::size_t | leaf_count
| ) |  |

## ~ON_RTreeMemPool()

ON_RTreeMemPool::~ON_RTreeMemPool | ( |  | ) |

## Member Function Documentation

## AllocListNode()

struct ON_RTreeListNode* ON_RTreeMemPool::AllocListNode | ( |  | ) |

## AllocNode()

ON_RTreeNode* ON_RTreeMemPool::AllocNode | ( |  | ) |

## DeallocateAll()

void ON_RTreeMemPool::DeallocateAll | ( |  | ) |

## FreeListNode()

void ON_RTreeMemPool::FreeListNode | ( | struct ON_RTreeListNode * | list_node | ) |

## FreeNode()

void ON_RTreeMemPool::FreeNode | ( | ON_RTreeNode * | node | ) |

## SizeOf()

std::size_t ON_RTreeMemPool::SizeOf | ( |  | ) | const

## SizeOfUnusedBuffer()

std::size_t ON_RTreeMemPool::SizeOfUnusedBuffer | ( |  | ) | const

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_rtree.h